group {
{% for vm in vms %}

{% if vms[vm].id|int < 251 %}
{% set mgmt_ip = "192.168.201." + vms[vm].id %}
{% else %}
{% set next = vms[vm].id|int - 250 %}
{% set mgmt_ip = "192.168.202." + next|string %}
{% endif %}
{% if vms[vm].id|length < 3 %}
{% set mac_addr = "44:38:39:bb:00:" + vms[vm].id %}
{% else %}
{% set mac_post = vms[vm].id | list %}
{% set mac_addr = "44:38:39:bb:0" + mac_post[0] + ":" + mac_post[1] + mac_post[2] %}
{% endif %}
host {{ vm }} {hardware ethernet {{ mac_addr }}; fixed-address {{ mgmt_ip }};} 
{% endfor %}
}#End of static host group
